Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.ee
Class InvocationManagedRuntime

    java.lang.Object
      |
      +--kodo.ee.InvocationManagedRuntime

All Implemented Interfaces:
  Configurable, ManagedRuntime

public class InvocationManagedRuntime
extends Object
implements ManagedRuntime, Configurable

Implementation of the `ManagedRuntime` interface that uses a static method call to find the TransactionManager.

For example, to configure it to use IBM Websphere's TransactionManager, use the method:
`com.ibm.ejs.jts.jta.JTSXA.getTransactionManager`

Constructor Summary
`InvocationManagedRuntime()`

Method Summary
`void` | `endConfiguration()` Invoked upon completion of bean property configuration for this object.
`TransactionManager` | `getTransactionManager()` Return the TransactionManager for the managed runtime.
`String` | `getTransactionManagerMethod()` Return the method to invoke to get the `TransactionManager`.
`void` | `setConfiguration(Configuration conf)` Invoked prior to setting bean properties.
`void` | `setTransactionManagerMethod(String methodName)` Set the method to invoke to get the `TransactionManager`.
`void` | `startConfiguration()` Invoked before bean property configuration is begun on this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InvocationManagedRuntime

    public InvocationManagedRuntime()

Method Detail

### getTransactionManagerMethod

    public String getTransactionManagerMethod()

  Return the method to invoke to get the `TransactionManager`.

### setTransactionManagerMethod

    public void setTransactionManagerMethod(String methodName)

  Set the method to invoke to get the `TransactionManager`. E.g.: com.ibm.ejs.jts.jta.JTSXA.getTransactionManager

### getTransactionManager

    public TransactionManager getTransactionManager()
                                             throws Exception

  Description copied from interface: `ManagedRuntime`
  Return the TransactionManager for the managed runtime. This manager is used to register synchronization listeners, to map transactional PersistenceManagers to the current transaction, and possibly to enlist XA resources.
  Specified by:
    `getTransactionManager` in interface `ManagedRuntime`

### setConfiguration

    public void setConfiguration(Configuration conf)

  Description copied from interface: `Configurable`
  Invoked prior to setting bean properties.
  Specified by:
    `setConfiguration` in interface `Configurable`

### startConfiguration

    public void startConfiguration()

  Description copied from interface: `Configurable`
  Invoked before bean property configuration is begun on this object.
  Specified by:
    `startConfiguration` in interface `Configurable`

### endConfiguration

    public void endConfiguration()

  Description copied from interface: `Configurable`
  Invoked upon completion of bean property configuration for this object.
  Specified by:
    `endConfiguration` in interface `Configurable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.